# Country Shape Quiz

## Name the country from its shape!! 
This is a Python quiz application that allows users to take a quiz with questions displayed alongside images. 
Users can input their answers, and the application will provide feedback on whether the answers are correct or not. 

![alt text](images/screenshot1.png)


## Installation

### Requirements

- Python (>= 3.10)

### Install using pipx

```bash
pipx install geoquiz
```

## Usage

1. **Start Quiz**
   - Click on the "Start Quiz" button to begin.

2. **Handling Mistakes**
   - If you make a mistake, you have two options:
     - Click on the "Show Answer" button to reveal the correct answer.
     - Choose not to show the correct answer.

3. **Choose Display Order**
   - Select the order in which countries should appear:
     - Increasing Difficulty
     - Random Order

4. **Set the Number of Countries**
   - Choose the number of countries to appear in the quiz:
     - All countries
     - 10 countries
     - Enter a custom number in the provided box

5. **Start Playing**
   - Type the correct country names in the answer box.
   - Minor spelling mistakes are forgiven.


## Acknowledgments

- All the images are imported from geojson files obtained from [https://geojson-maps.ash.ms/](https://geojson-maps.ash.ms/), 
[geoBoundaries](https://www.geoboundaries.org/index.html) and [https://maps.princeton.edu/catalog/stanford-sn252ts8433](https://maps.princeton.edu/catalog/stanford-sn252ts8433) 

- Audio files used :  [https://freesound.org/people/Mudkip2016/sounds/423930/](https://freesound.org/people/Mudkip2016/sounds/423930/), [https://freesound.org/people/Gronkjaer/sounds/554053/](https://freesound.org/people/Gronkjaer/sounds/554053/)
